Uploaded image for project: 'Apache Arrow'
  1. Apache Arrow
  2. ARROW-15466

[Go] Please tag versions for Go modules to recognize

Details

    • Improvement
    • Status: Closed
    • Major
    • Resolution: Not A Problem
    • None
    • None
    • None
    • None

    Description

      Please tag v7 of arrow for Go with the method that Go expects for modules to specify their versions. At the current moment, if you want to upgrade to v7, you have to give a specific hash or a specific tag as part of the `go get` command instead of doing `go get github.com/apache/arrow/go/arrow/v7@latest`. This is because there is no `go/v7.0.0` tag pointing at the commit.

      There is a `go/v6.0.1`. This request is to tag the versions in v7 with the same tag format alongside the `apache-arrow-7.0.0` tag.

      See this page to see an example of the tag being recognized by Go modules properly: https://pkg.go.dev/github.com/apache/arrow/go/v6. If I replace that with `v7`, it does not currently recognize a stable version: https://pkg.go.dev/github.com/apache/arrow/go/v7.

      Attachments

        Activity

          People

            Unassigned Unassigned
            jsternberg Jonathan A Sternberg
            Votes:
            1 Vote for this issue
            Watchers:
            3 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:

              Slack

                Issue deployment